Subject: Identification of a nasty fungus

From: [email-masked] (David Pinero)
Date: 13 Jun 1996 04:38:16 GMT

For those who remember my post a couple of months ago about a nasty 
overgrowing fungus, I finally got a confirmed id: it is Chrysonilia 
(Neurospora) sitophila. Remarkable its ability to grow out of a petri 
plate in 1 1/2 days and spread all over the place in a couple more. 

Thanks for all the help.

David